<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/*** 設定を追加したらサニタイズ関数の条件も追加すること ***/

/* セクションID haumenu_define_section_id_01_optimize() */
/* タブのスラグ haumenu_define_tab_slug_01_optimize() */
/* $option_name 設定名 haumenu_define_option_name_01_optimize() */
/* get_option GetOP01_optimize() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_01_optimize( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_optimize';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_01_optimize();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		$set_name . 'output-schema' => array(
			'.schema-x-user-name-wrapper', // Xのユーザー名
			'.schema-fb-user-name-wrapper', // Facebookのユーザー名
			'.schema-insta-user-name-wrapper', // Insagramのユーザー名
			'.schema-site-organizer-name-wrapper', // サイトの運営者名
			'.schema-site-organizer-url-wrapper', // サイト運営者のURL
			'.select-posts-schema-type-wrapper', // 投稿で基本となるスキーマタイプの選択
		),

		$set_name . 'output-seo-fields' => array(
			'.output-after-title-text-wrapper', // タイトルの後に文字列を出力
			'.home-meta-keywords-wrapper', // トップ・ホームのキーワード
			'.home-meta-description-wrapper', // トップ・ホームの説明文
		),

		$set_name . 'output-after-title-text' => array(
			'.select-after-title-text-wrapper', // タイトルの後に出力する内容の選択
			'.after-title-any-string-wrapper', // タイトルの後に出力する文字列
			'.after-title-separate-text-wrapper', // ページタイトルと追加文字列の区切り文字
		),

		// noindexタグを追加
		$set_name . 'add-noindex-tag-in-head' => array(
			'.add-noindex-tag-for-tag-wrapper', // タグアーカイブ
			'.add-noindex-tag-for-category-wrapper', // カテゴリーアーカイブ
			'.add-noindex-tag-for-taxonomy-wrapper', // カスタムタクソノミーアーカイブ
			'.add-noindex-tag-for-author-wrapper', // 作者アーカイブ
			'.add-noindex-tag-for-date-wrapper', // 日付アーカイブ
			'.add-noindex-tag-for-search-wrapper', // 検索結果
			'.add-noindex-tag-for-cpt-wrapper', // カスタム投稿タイプアーカイブ
			'.add-noindex-tag-for-404-wrapper', // 404エラー
			'.add-noindex-tag-for-media-wrapper', // メディアアーカイブ
		),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_01_optimize', 20 );













/*** alt属性のない画像にページタイトルを自動挿入 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_is_use_auto_alt(){
//項目の追加
	add_settings_field(
		'use-auto-alt',  // $id フィールドを識別するスラッグ名（一意）
		__('Automatic setting of "alt" attribute','hima-art-utility'), // $title 設定タイトル
		'haumenu_is_use_auto_alt', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-separate' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_is_use_auto_alt' );

/* 入力フォーム */
function haumenu_is_use_auto_alt() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'use-auto-alt'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('When the alt attribute is not set in the image of the text, automatically add "post title" and "site title" and output.','hima-art-utility'); ?></p>
</label>
<?php
}

/*** 画像タイトルタグの自動生成 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_image_title_tag(){
//項目の追加
	add_settings_field(
		'add-image-title-tag', // $id フィールドを識別するスラッグ名（一意）
		__('Automatic addition of title attribute','hima-art-utility'),// $title 設定タイトル
		'haumenu_add_image_title_tag', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-separate' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_add_image_title_tag' );

/* 入力フォーム */
function haumenu_add_image_title_tag() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'add-image-title-tag'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Automatically add title attribute to images inserted within the page','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
<span><?php esc_html_e('If "alt" is entered in the image inserted in the page, that value will be automatically added as the title attribute, and if it is empty, the page title will be automatically added as the title attribute.','hima-art-utility'); ?></span>
<br>
<span class="haup-admin-font-red"><?php esc_html_e('Please note that the judgment will be made based on whether there is an alternative string added to the image on the editing screen such as a post, not the alternative string specified in the media.','hima-art-utility'); ?></span></p>

<?php
}

/*** アーカイブページへのcanonicalタグの出力 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_output_archive_canonical_tag(){
//項目の追加
	add_settings_field(
		'output-archive-canonical-tag', // $id フィールドを識別するスラッグ名（一意）
		__('Canonical tag output','hima-art-utility'),// $title 設定タイトル
		'haumenu_output_archive_canonical_tag', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-separate' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_output_archive_canonical_tag' );

/* 入力フォーム */
function haumenu_output_archive_canonical_tag() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'output-archive-canonical-tag'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Outputs canonical tags to the HTML header of archive pages','hima-art-utility'); ?></p>
</label>
<details class="accordion"  style="margin: 5px 0px 0px 0px;overflow: hidden;">
<summary class="accordion__title" style="cursor: pointer;"><?php esc_html_e('View detailed description','hima-art-utility'); ?></summary>
<div class="accordion__content">
<p><?php esc_html_e('A canonical tag is an HTML tag that tells search engines the exact URL of a page.','hima-art-utility'); ?></p>
<p><?php esc_html_e('Below is the archive page for which the canonical tag will be output using this function.','hima-art-utility'); ?></p>
<ol>
	<li><?php esc_html_e('List of posts (blog list)','hima-art-utility'); ?></li>
	<li><?php esc_html_e('List of posts associated with a category (category archive)','hima-art-utility'); ?></li>
	<li><?php esc_html_e('List of posts linked to a tag (tag archive)','hima-art-utility'); ?></li>
	<li><?php esc_html_e('List of posts linked to custom taxonomies (taxonomy archive)','hima-art-utility'); ?></li>
	<li><?php esc_html_e('List of posts by contributor (contributor archive)','hima-art-utility'); ?></li>
	<li><?php esc_html_e('List of posts by date (date archive)','hima-art-utility'); ?></li>
	<li><?php esc_html_e('List of posts matching your search (search results page)','hima-art-utility'); ?></li>
</ol>
</div>
</details>
<p class="haup-admin-bk">
<span><?php esc_html_e('Canonical tags are output as standard in WordPress, but they will not be output to individual posts, static pages, or custom post types.','hima-art-utility'); ?></span>
<span class="haup-admin-font-red"><?php esc_html_e('If canonical tags are not output on those pages, please check as this may be controlled by the theme or plugin.','hima-art-utility'); ?></span>
<br>
<span class="haup-admin-font-red"><?php esc_html_e('【Note】','hima-art-utility'); ?></span><span style="font-weight:700;"><?php esc_html_e('To avoid duplicate canonical tags, please make sure that your plugin or theme does not already have canonical tags output for the archive pages listed above.','hima-art-utility'); ?></span>
<br>
<span class="haup-admin-font-red"><?php esc_html_e('【Note】','hima-art-utility'); ?></span><span style="font-weight:700;"><?php esc_html_e('This feature appends the standard page slug "/page/page number/" to the end of each archive name slug for pages 2 and beyond, ensuring that the URL is the same as the original. If the slugs for multiple archive pages are different due to site settings, etc., the page URL and canonical tag URL may differ, which may cause search engines to misinterpret them, so do not enable this feature.','hima-art-utility'); ?></span>
</p>
<?php
}

/*** 構造化データの出力 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_output_schema(){
//項目の追加
	add_settings_field(
		'output-schema',  // $id フィールドを識別するスラッグ名（一意）
		__('Structured data output','hima-art-utility'),// $title 設定タイトル
		'haumenu_output_schema', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-separate' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_output_schema' );

/* 入力フォーム */
function haumenu_output_schema() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'output-schema'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Output schema.org-style structured data in the header to tell search engines the correct page content','hima-art-utility'); ?></p>
</label>
 <div style="text-align:right;margin-top:1rem;"><a href="<?php echo esc_url(HAUP_MANUAL_DIR); ?>/howtouse-structured-data" target="_blank"><?php echo esc_html(haup_manual_text()); ?></a></div>
<?php
}

/*** Xのユーザー名 ***/
function haumenu_init_field_schema_x_user_name(){
//項目の追加
	add_settings_field(
		'schema-x-user-name', // 設定名
		'', // 設定タイトル
		'haumenu_schema_x_user_name', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_schema_x_user_name' );

/* 入力フォーム */
function haumenu_schema_x_user_name() {
	$set_name = haumenu_define_option_name_01_optimize(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'schema-x-user-name'; //個別配列名
?>
<div class="schema-x-user-name-wrapper">
<h4><?php esc_html_e('Content to be output to the structured data of the top page and archive pages','hima-art-utility'); ?></h4>
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<?php esc_html_e('X username','hima-art-utility'); ?>
</label>
</div>
<?php
}

/*** Facebookのユーザー名 ***/
function haumenu_init_field_schema_fb_user_name(){
//項目の追加
	add_settings_field(
		'schema-fb-user-name', // 設定名
		'', // 設定タイトル
		'haumenu_schema_fb_user_name', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_schema_fb_user_name' );

/* 入力フォーム */
function haumenu_schema_fb_user_name() {
	$set_name = haumenu_define_option_name_01_optimize(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'schema-fb-user-name'; //個別配列名
?>
<div class="schema-fb-user-name-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<?php esc_html_e('Facebook Page Username','hima-art-utility'); ?>
</label>
</div>
<?php
}

/*** Insagramのユーザー名 ***/
function haumenu_init_field_schema_insta_user_name(){
//項目の追加
	add_settings_field(
		'schema-insta-user-name', // 設定名
		'', // 設定タイトル
		'haumenu_schema_insta_user_name', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_schema_insta_user_name' );

/* 入力フォーム */
function haumenu_schema_insta_user_name() {
	$set_name = haumenu_define_option_name_01_optimize(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'schema-insta-user-name'; //個別配列名
?>
<div class="schema-insta-user-name-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<?php esc_html_e('Instagram username','hima-art-utility'); ?>
</label>
</div>
<?php
}

/*** サイトの運営者名 ***/
function haumenu_init_field_schema_site_organizer_name(){
//項目の追加
	add_settings_field(
		'schema-site-organizer-name', // 設定名
		'', // 設定タイトル
		'haumenu_schema_site_organizer_name', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_schema_site_organizer_name' );

/* 入力フォーム */
function haumenu_schema_site_organizer_name() {
	$set_name = haumenu_define_option_name_01_optimize(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'schema-site-organizer-name'; //個別配列名
?>
<div class="schema-site-organizer-name-wrapper">
<p><?php esc_html_e('Site owner name','hima-art-utility'); ?></p>
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" size="80" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
</label>
<p>
	<span><?php esc_html_e('Enter the name to be output as the site owner','hima-art-utility'); ?></span>
	<br>
	<span  class="haup-admin-font-red"><?php esc_html_e('If not entered, the site title will be output.','hima-art-utility'); ?></span>
</p>
</div>
<?php
}

/*** サイト運営者のURL ***/
function haumenu_init_field_schema_site_organizer_url(){
//項目の追加
	add_settings_field(
		'schema-site-organizer-url', // 設定名
		'', // 設定タイトル
		'haumenu_schema_site_organizer_url', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_schema_site_organizer_url' );

/* 入力フォーム */
function haumenu_schema_site_organizer_url() {
	$set_name = haumenu_define_option_name_01_optimize(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'schema-site-organizer-url'; //個別配列名
?>
<div class="schema-site-organizer-url-wrapper">
<p><?php esc_html_e('Site Owner URL','hima-art-utility'); ?></p>
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" size="80" id="<?php echo esc_html($set_name . $option_name); ?>" value="<?php echo esc_attr($options[ $option_name ] ) ?? ''; ?>">
</label>
<p>
	<span><?php esc_html_e('Enter the URL to be output as the site owned by the site owner.','hima-art-utility'); ?></span>
	<br>
	<span class="haup-admin-font-red"><?php esc_html_e('If left blank, the URL of the top page of this site will be output.','hima-art-utility'); ?></span>
</p>
</div>
<?php
}

/* 投稿で基本となるスキーマタイプの選択 */
/* 項目の追加とデータの更新 */
function haumenu_init_field_select_posts_schema_type(){
//項目の追加
	add_settings_field(
		'select-posts-schema-type', // 設定名
		'',// 設定タイトル
		'haumenu_select_posts_schema_type', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_select_posts_schema_type' );

/* 入力フォーム */
function haumenu_select_posts_schema_type() {
	$set_name = haumenu_define_option_name_01_optimize(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'select-posts-schema-type'; //個別配列名

	if(isset($options[$option_name])){
		$selected = $options[$option_name];
	}else{
		$selected = '';
	}
?>
<div class="select-posts-schema-type-wrapper">
<p><?php esc_html_e('Select the schema type of the structured data to be output in the post', 'hima-art-utility'); ?></p>
<select name= '<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>' >
<option value='Article' <?php selected($selected , 'Article' ); ?>selected ><?php esc_html_e('Article - General "article" (default)', 'hima-art-utility'); ?></option>
<option value='BlogPosting' <?php selected($selected , 'BlogPosting' ); ?>><?php esc_html_e('BlogPosting - Personal blog posts, diaries, current topics, etc.', 'hima-art-utility'); ?></option>
<option value='NewsArticle' <?php selected($selected , 'NewsArticle' ); ?>><?php esc_html_e('NewsArticle - an article about a specific news event or breaking news', 'hima-art-utility'); ?></option>
</select>
<p>
<span><?php esc_html_e('The schema type tells search engine crawlers what type of page it is, so choose one that matches the content of your page as closely as possible.', 'hima-art-utility'); ?></span>
<br>
<span class="haup-admin-font-red"><?php esc_html_e('This setting specifies the same schema type for all individual content except for static pages. If you are not sure that the content is a BlogPosting or NewsArticle, we recommend leaving it as Article.', 'hima-art-utility'); ?></span>
</p>
<?php
//コードスニペットの文字列を変数化
	$posttype_slug_head_text =  __('Enter the slug of the target post type in the post type field.','hima-art-utility');
	$posttype_slug_text = __('Post Type Slug','hima-art-utility');
	$schema_type_text = __('Schema Type','hima-art-utility');
	$schema_type_ex_text = __('Schema type part string','hima-art-utility');
	$schema_name_blog_text = __('Diaries and miscellaneous notes','hima-art-utility');
	$schema_name_news_text = __('For news','hima-art-utility');
	$for_example_text = __('Example','hima-art-utility');
	$return_text = __('For other post types and pages, the original value (default) is returned.','hima-art-utility');
	$bulk_return_text = __('Add post type slug and schema type combinations below','hima-art-utility');
?>
<details class="accordion"  style="margin: 5px 0px 0px 0px;overflow: hidden;">
<summary class="accordion__title" style="cursor: pointer;"><?php esc_html_e('To change the schema type for each custom post type:','hima-art-utility'); ?></summary>
<div class="accordion__content">
<?php echo wp_kses_post(haup_exist_custom_post_types_list_callback()); ?>
<p><?php esc_html_e('After setting the site-wide schema type with the above configuration, you can specify a different schema type for each custom post type using the following code:','hima-art-utility'); ?></p>

<h4><?php esc_html_e('You want to change the schema type for a specific post type','hima-art-utility'); ?></h4>
<pre>
<code>function set_posttype_schema_type($schema_type) {
	// <?php echo esc_html( $posttype_slug_head_text ); ?><?php  echo "\n"; ?>
	if (is_singular('<?php echo esc_html( $posttype_slug_text ); ?>')) {
	//<?php echo esc_html( $schema_type_ex_text ); ?><?php  echo "\n"; ?>
		// NewsArticle:<?php echo esc_html( $schema_name_news_text ); ?><?php  echo "\n"; ?>
		//BlogPosting:<?php echo esc_html( $schema_name_blog_text ); ?><?php  echo "\n"; ?>

		return '<?php echo esc_html( $schema_type_text ); ?>'; 
	}
    
	// <?php echo esc_html( $return_text ); ?><?php  echo "\n"; ?>
	return $schema_type;
}
add_filter('haup_change_post_schema_type_filter', 'set_posttype_schema_type');</code>
</pre>
<h4><?php esc_html_e('You want to change the schema type for multiple post types with one code snippet','hima-art-utility'); ?></h4>
<pre>
<code>function set_bulk_posttype_schema_type($schema_type) {
    $post_type_map = [
	//<?php echo esc_html( $for_example_text ); ?><?php  echo "\n"; ?>
        //'<?php echo esc_html( $posttype_slug_text ); ?>' => 'NewsArticle',//<?php echo esc_html( $schema_name_news_text ); ?><?php  echo "\n"; ?>
        //'<?php echo esc_html( $posttype_slug_text ); ?>' => 'BlogPosting',//<?php echo esc_html( $schema_name_blog_text ); ?><?php  echo "\n"; ?>

	//<?php echo esc_html( $bulk_return_text ); ?><?php  echo "\n"; ?>

    ];

    $current_post_type = get_post_type();

    if (array_key_exists($current_post_type, $post_type_map)) {
        return $post_type_map[$current_post_type];
    }

    return $schema_type;
}
add_filter('haup_change_post_schema_type_filter', 'set_bulk_posttype_schema_type');</code>
</pre>
</div>
</details>
</div>
<?php
}

/*** SEOメタタグ設定 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_output_seo_fields(){
//項目の追加
	add_settings_field(
		'output-seo-fields',  // $id フィールドを識別するスラッグ名（一意）
		__('Meta tag output','hima-art-utility'),// $title 設定タイトル
		'haumenu_output_seo_fields', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_output_seo_fields' );

/* 入力フォーム */
function haumenu_output_seo_fields() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'output-seo-fields'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Outputs excerpts, keywords, noindex, nofollow tags necessary for SEO in the header. In addition, the title tag that is output as standard will be changed to the entered value','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('The information using this function is also used in structured data, OGP tags, and each list.','hima-art-utility'); ?></p>
<details class="accordion"  style="margin: 5px 0px 0px 0px;overflow: hidden;">
<summary class="accordion__title" style="cursor: pointer;"><?php esc_html_e('View detailed description','hima-art-utility'); ?></summary>
<div class="accordion__content">
<h3><?php esc_html_e('Feature Overview','hima-art-utility'); ?></h3>
<h4><?php esc_html_e('How to use the feature','hima-art-utility'); ?></h4>
<p><?php esc_html_e('When this function is enabled, the following input fields will be added to the editing screen for posts, etc., and the input content will be output as meta tags in HTML.','hima-art-utility'); ?></p>
<br>
<p>
	<span style="font-weight:700;"><?php esc_html_e('SEO Title','hima-art-utility'); ?></span>
	<br>
	<span><?php esc_html_e('Replaces the title tag, which normally outputs the page title, with the entered string and outputs it. Specify this if you want the title to be communicated to search engines to be different from the page title.','hima-art-utility'); ?></span>
</p>
<p>
	<span style="font-weight:700;"><?php esc_html_e('Keyword','hima-art-utility'); ?></span>
	<br>
	<span><?php esc_html_e('Specifies the content to be output in the keywords meta tag. If left blank, the value specified in the tag will be output. Multiple values can be specified, separated by commas.','hima-art-utility'); ?></span>
</p>
<p>
	<span style="font-weight:700;"><?php esc_html_e('Description','hima-art-utility'); ?></span>
	<br>
	<span><?php esc_html_e('Specify the content to be output in the meta description meta tag.','hima-art-utility'); ?></span>
	<br>
	<span><?php esc_html_e('This function outputs in the following order of priority:','hima-art-utility'); ?></span>
</p>
	<ol>
		<li><?php esc_html_e('Values entered in the fields for this function','hima-art-utility'); ?></li>
		<li><?php esc_html_e('Value entered in WordPress standard excerpt','hima-art-utility'); ?></li>
		<li><?php esc_html_e('The first 55 characters or so of the text generated by WordPress','hima-art-utility'); ?></li>
	</ol>

<h4><?php esc_html_e('Checking and editing the contents on the management screen list','hima-art-utility'); ?></h4>
<p>
	<span><?php esc_html_e('When you enable this feature, the following columns will be added to the list of posts, static pages, and custom post types in the admin panel:','hima-art-utility'); ?></span>
	<br>
	<span class="haup-admin-font-red" style="font-size:0.8em;"><?php esc_html_e('When this feature is enabled, the following columns will be added to the list of posts, static pages, and custom post types in the admin screen. You can hide the added columns by unchecking the "Display Options" at the top of the admin screen.','hima-art-utility'); ?></span>
</p>
<ul style="list-style: circle;padding-left: 2rem;">
	<li><?php esc_html_e('Title','hima-art-utility'); ?> </li>
	<li><?php esc_html_e('Description','hima-art-utility'); ?></li>
	<li><?php esc_html_e('Keyword','hima-art-utility'); ?></li>
	<li><?php esc_html_e('Post Excerpt','hima-art-utility'); ?> / <?php esc_html_e('Outputs the contents of the standard WordPress excerpt field','hima-art-utility'); ?></li>
	<li><?php esc_html_e('Meta Description','hima-art-utility'); ?></li>
</ul>
<p><?php esc_html_e('Meta Description','hima-art-utility'); ?><?php esc_html_e('The value of is displayed according to the priority of the previous item.','hima-art-utility'); ?></p>
<p class="haup-admin-bk"><?php esc_html_e('Each item can be entered, edited, or deleted using "Quick Edit" without opening the edit screen.','hima-art-utility'); ?></p>
</div>
</details>
<?php echo wp_kses_post(haup_usage_info_haup_is_single_filter()); ?>
<?php
}

/* タイトルの後に文字列を出力 */
/* 項目の追加とデータの更新 */
function haumenu_init_field_output_after_title_text(){
//項目の追加
	add_settings_field(
		'output-after-title-text',  // $id フィールドを識別するスラッグ名（一意）
		__('Output After Title Text','hima-art-utility'),// $title 設定タイトル
		'haumenu_output_after_title_text', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_output_after_title_text' );

/* 入力フォーム */
function haumenu_output_after_title_text() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'output-after-title-text'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="output-after-title-text-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Adds a separator and a string after the page title.','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('This setting applies only to the title tag of individual pages, and the title + site name will be output in structured data, OGP tags, and each list.','hima-art-utility'); ?></p>
</div>
<?php
}

/* タイトルの後に出力する内容の選択 */
/* 項目の追加とデータの更新 */
function haumenu_init_field_select_after_title_text(){
//項目の追加
	add_settings_field(
		'select-after-title-text', // 設定名
		__('Type of string to output','hima-art-utility'), // 設定タイトル
		'haumenu_select_after_title_text', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_select_after_title_text' );

/* 入力フォーム */
function haumenu_select_after_title_text() {
	$set_name = haumenu_define_option_name_01_optimize(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'select-after-title-text'; //個別配列名

	if(isset($options[$option_name])){
		$selected = $options[$option_name];
	}else{
		$selected = '';
	}
?>
<div class="select-after-title-text-wrapper">
<p><?php esc_html_e('Select the type of text to add after the page title', 'hima-art-utility'); ?>
<br>
<span><?php esc_html_e('If you select any character string, please enter the character string in the input box below.', 'hima-art-utility'); ?></span>
<br>
<span class="haup-admin-font-red"><?php esc_html_e('If no optional string is entered, the site title will be output.', 'hima-art-utility'); ?></span>
</p>
<select name= '<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>' >
<option value='1' <?php selected($selected , 1 ); ?> selected ><?php esc_html_e('Site Title(default)', 'hima-art-utility'); ?></option>
<option value='2' <?php selected($selected , 2 ); ?>><?php esc_html_e('Site Description', 'hima-art-utility'); ?></option>
<option value='3' <?php selected($selected , 3 ); ?>><?php esc_html_e('Any string', 'hima-art-utility'); ?></option>
</select>
</div>
<?php
}

/*** タイトルの後に出力する文字列 ***/
function haumenu_init_field_after_title_any_string(){
//項目の追加
	add_settings_field(
		'after-title-any-string', // 設定名
		'', // 設定タイトル
		'haumenu_after_title_any_string', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_after_title_any_string' );

/* 入力フォーム */
function haumenu_after_title_any_string() {
	$set_name = haumenu_define_option_name_01_optimize(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'after-title-any-string'; //個別配列名
?>
<div class="after-title-any-string-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" size="100" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
<p><?php esc_html_e('Enter the string to be output when you select Any String.','hima-art-utility'); ?></p>
</label>
</div>
<?php
}

/* ページタイトルと追加文字列の区切り文字 */
/* 項目の追加とデータの更新 */
function haumenu_init_field_after_title_separate_text(){
//項目の追加
	add_settings_field(
		'after-title-separate-text', // 設定名
		__('Separate Text','hima-art-utility'), // 設定タイトル
		'haumenu_after_title_separate_text', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_after_title_separate_text' );

/* 入力フォーム */
function haumenu_after_title_separate_text() {
	$set_name = haumenu_define_option_name_01_optimize(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'after-title-separate-text'; //個別配列名

	if(isset($options[$option_name])){
		$selected = $options[$option_name];
	}else{
		$selected = '';
	}
?>
<div class="after-title-separate-text-wrapper">
<p><?php esc_html_e('Select the separator between the page title and the additional string', 'hima-art-utility'); ?></p>
<select name= '<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>' >
<option value='1' <?php selected($selected , 1 ); ?> selected ><?php esc_html_e('|(Default)', 'hima-art-utility'); ?></option>
<option value='2' <?php selected($selected , 2 ); ?>><?php esc_html_e('-', 'hima-art-utility'); ?></option>
<option value='3' <?php selected($selected , 3 ); ?>><?php esc_html_e('/', 'hima-art-utility'); ?></option>
</select>
</div>
<?php
}

/*** トップ・ホームのキーワード ***/
function haumenu_init_field_home_meta_keywords(){
//項目の追加
	add_settings_field(
		'home-meta-keywords', // 設定名
		__('Homepage Keywords','hima-art-utility'), // 設定タイトル
		'haumenu_home_meta_keywords', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_home_meta_keywords' );

/* 入力フォーム */
function haumenu_home_meta_keywords() {
	$set_name = haumenu_define_option_name_01_optimize(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'home-meta-keywords'; //個別配列名
?>
<div class="home-meta-keywords-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" size="100" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
<p><?php esc_html_e('Please enter the keywords to be displayed on the home page, separated by commas.','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('If not specified, all categories registered on the site will be output as keywords.','hima-art-utility'); ?></p>
</div>
<?php
}

/*** トップ・ホームの説明文 ***/
function haumenu_init_field_home_meta_description(){
//項目の追加
	add_settings_field(
		'home-meta-description', // 設定名
		__('Homepage Description','hima-art-utility'), // 設定タイトル
		'haumenu_home_meta_description', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_home_meta_description' );

/* 入力フォーム */
function haumenu_home_meta_description() {
	$set_name = haumenu_define_option_name_01_optimize(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'home-meta-description'; //個別配列名
?>
<div class="home-meta-description-wrapper">
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" size="100" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
<p><?php esc_html_e('Please enter the description (Description value) to be displayed on the home page.','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('If not specified, the site tagline will be output as the description.','hima-art-utility'); ?></p>
</div>
<?php
}



/*** ヘッダーへnoindexタグを追加 ***/
/* 機能を有効化するかどうか */
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_noindex_tag_in_head(){
//項目の追加
	add_settings_field(
		'add-noindex-tag-in-head', // $id フィールドを識別するスラッグ名（一意）
		__('Add Noindex in Header','hima-art-utility'),// $title 設定タイトル
		'haumenu_add_noindex_tag_in_head', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-separate' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_add_noindex_tag_in_head' );

/* 入力フォーム */
function haumenu_add_noindex_tag_in_head() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'add-noindex-tag-in-head'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Insert the <meta name="robots" content="noindex, follow" /> tag in the header of your archive pages etc.','hima-art-utility'); ?></p>
</label>
<p><?php esc_html_e('After enabling the function, please check all the options below for which you want to output tags.','hima-art-utility'); ?></p>
<?php
}

/* タグアーカイブ */
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_noindex_tag_archive_tag(){
//項目の追加
	add_settings_field(
		'add-noindex-tag-for-tag', // $id フィールドを識別するスラッグ名（一意）
		'',// $title 設定タイトル
		'haumenu_add_noindex_tag_archive_tag', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_add_noindex_tag_archive_tag' );

/* 入力フォーム */
function haumenu_add_noindex_tag_archive_tag() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'add-noindex-tag-for-tag'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="add-noindex-tag-for-tag-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
<span><?php esc_html_e('Tag Archive Page','hima-art-utility'); ?></span>
</label>
</div>
<?php
}

/* カテゴリーアーカイブ */
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_noindex_tag_archive_category(){
//項目の追加
	add_settings_field(
		'add-noindex-tag-for-category', // $id フィールドを識別するスラッグ名（一意）
		'',// $title 設定タイトル
		'haumenu_add_noindex_tag_archive_category', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_add_noindex_tag_archive_category' );

/* 入力フォーム */
function haumenu_add_noindex_tag_archive_category() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'add-noindex-tag-for-category'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="add-noindex-tag-for-category-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
<span><?php esc_html_e('Category Archive Page','hima-art-utility'); ?></span>
</label>
</div>
<?php
}

/* カスタムタクソノミーアーカイブ */
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_noindex_tag_archive_taxonomy(){
//項目の追加
	add_settings_field(
		'add-noindex-tag-for-taxonomy', // $id フィールドを識別するスラッグ名（一意）
		'',// $title 設定タイトル
		'haumenu_add_noindex_tag_archive_taxonomy', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_add_noindex_tag_archive_taxonomy' );

/* 入力フォーム */
function haumenu_add_noindex_tag_archive_taxonomy() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'add-noindex-tag-for-taxonomy'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="add-noindex-tag-for-taxonomy-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
<span><?php esc_html_e('Taxonomy Archive Page','hima-art-utility'); ?></span>
</label>
</div>
<?php
}

/* 作者アーカイブ */
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_noindex_tag_archive_author(){
//項目の追加
	add_settings_field(
		'add-noindex-tag-for-author', // $id フィールドを識別するスラッグ名（一意）
		'',// $title 設定タイトル
		'haumenu_add_noindex_tag_archive_author', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_add_noindex_tag_archive_author' );

/* 入力フォーム */
function haumenu_add_noindex_tag_archive_author() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'add-noindex-tag-for-author'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="add-noindex-tag-for-author-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
<span><?php esc_html_e('Author Archive Page','hima-art-utility'); ?></span>
</label>
</div>
<?php
}

/* 日付アーカイブ */
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_noindex_tag_archive_date(){
//項目の追加
	add_settings_field(
		'add-noindex-tag-for-date', // $id フィールドを識別するスラッグ名（一意）
		'',// $title 設定タイトル
		'haumenu_add_noindex_tag_archive_date', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_add_noindex_tag_archive_date' );

/* 入力フォーム */
function haumenu_add_noindex_tag_archive_date() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'add-noindex-tag-for-date'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="add-noindex-tag-for-date-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
<span><?php esc_html_e('Date Archive Page','hima-art-utility'); ?></span>
</label>
</div>
<?php
}

/* 検索結果 */
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_noindex_tag_archive_search(){
//項目の追加
	add_settings_field(
		'add-noindex-tag-for-search', // $id フィールドを識別するスラッグ名（一意）
		'',// $title 設定タイトル
		'haumenu_add_noindex_tag_archive_search', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_add_noindex_tag_archive_search' );

/* 入力フォーム */
function haumenu_add_noindex_tag_archive_search() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'add-noindex-tag-for-search'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="add-noindex-tag-for-search-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
<span><?php esc_html_e('Search Result Page','hima-art-utility'); ?></span>
</label>
</div>
<?php
}

/* カスタム投稿タイプアーカイブ */
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_noindex_tag_archive_cpt(){
//項目の追加
	add_settings_field(
		'add-noindex-tag-for-cpt', // $id フィールドを識別するスラッグ名（一意）
		'',// $title 設定タイトル
		'haumenu_add_noindex_tag_archive_cpt', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_add_noindex_tag_archive_cpt' );

/* 入力フォーム */
function haumenu_add_noindex_tag_archive_cpt() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'add-noindex-tag-for-cpt'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="add-noindex-tag-for-cpt-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
<span><?php esc_html_e('CPT Archive Page','hima-art-utility'); ?></span>
</label>
</div>
<?php
}

/* 404エラー */
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_noindex_tag_archive_404(){
//項目の追加
	add_settings_field(
		'add-noindex-tag-for-404', // $id フィールドを識別するスラッグ名（一意）
		'',// $title 設定タイトル
		'haumenu_add_noindex_tag_archive_404', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_add_noindex_tag_archive_404' );

/* 入力フォーム */
function haumenu_add_noindex_tag_archive_404() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'add-noindex-tag-for-404'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="add-noindex-tag-for-404-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
<span><?php esc_html_e('404 Page','hima-art-utility'); ?></span>
</label>
</div>
<?php
}

/* メディアアーカイブ */
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_noindex_tag_archive_media(){
//項目の追加
	add_settings_field(
		'add-noindex-tag-for-media', // $id フィールドを識別するスラッグ名（一意）
		'',// $title 設定タイトル
		'haumenu_add_noindex_tag_archive_media', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-convine' )
	);

}

add_action( 'admin_init', 'haumenu_init_field_add_noindex_tag_archive_media' );

/* 入力フォーム */
function haumenu_add_noindex_tag_archive_media() {
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'add-noindex-tag-for-media'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="add-noindex-tag-for-media-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
<span><?php esc_html_e('Media Archive Page','hima-art-utility'); ?></span>
</label>
</div>
<?php
}



/*** デフォルト画像 ***/
function haumenu_init_field_ogp_default_image(){
//項目の追加
	add_settings_field(
		'ogp-default-image',  // $id フィールドを識別するスラッグ名（一意）
		__('Site Default Image','hima-art-utility'),// $title 設定タイトル
		'haumenu_ogp_default_image', // $callback 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_01_optimize(), //表示させるタブのスラグ
		haumenu_define_section_id_01_optimize(), //セクションID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_ogp_default_image' );

/* 入力フォーム */
function haumenu_ogp_default_image(){
	$set_name = haumenu_define_option_name_01_optimize();// 設定名
	$options = get_option( $set_name );
	$option_name = 'ogp-default-image'; //個別配列名

	if(isset($options[ $option_name ])){
		$data = $options[ $option_name ];
	}else{
		$data = '';
	}

	//現在の画像があれば表示
	if(!empty($options[ $option_name ])){
		$message_before = __('Currently registered images(','hima-art-utility');
		$message_after = __(')','hima-art-utility');
		$set_img = '<p>';
		$set_img .= $message_before;
		$set_img .= $options[ $option_name ];
		$set_img .= $message_after;
		$set_img .= '<p>';
		$set_img .= '<img src="'.$options[ $option_name ].'" style="max-width:300px;">';
	}else{
		$set_img = '';
	}

	//ボタン文字列
		$custom_uploader_text = __('Choose Image','hima-art-utility');
	//選択後（保存前）の画像上のテキスト
		$new_image_message = __('Newly selected image','hima-art-utility');
?>
<label>
	<p><?php echo esc_attr__('Sets the default image to use in OGP tags & Schema data & Other','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
<span><?php esc_html_e('The image set here will be used on the top page, archive page, posts and static pages without a featured image setting.','hima-art-utility'); ?></span>
<br>
<span class="haup-admin-font-red"><?php esc_html_e('If you do not set an image, a screenshot of your theme will be displayed','hima-art-utility'); ?></span>
</p>
<input id="<?php echo 'upload_'.esc_html($set_name.$option_name); ?>" type="text" size="36" name="<?php echo esc_html($set_name) . '[' .esc_html($option_name). ']'; ?>" value="<?php echo esc_attr($data); ?>" /> 
<input id="<?php echo 'upload_image_button_'.esc_html($set_name).esc_html($option_name); ?>" class="button" type="button" value="<?php echo esc_html($custom_uploader_text); ?>" />
<div style="margin-top:20px">
<?php echo wp_kses_post($set_img); ?>
<div id="<?php echo 'image_preview_'.esc_html($set_name.$option_name); ?>"></div>
</div>
<?php
// JavaScriptの呼び出し
	haumenu_enqueue_image_uploader_script_url($set_name, $option_name, $custom_uploader_text, $new_image_message);
}